package au.gov.ansto.bragg.nexus.base;

public class _NXattribute<T> extends NXobject_ {
  private T attribute;
  
  public _NXattribute(T attribute) {
      this.attribute = attribute;
  }
  
   public T getAttribute()
   {
       return attribute;
   }
   public void setAttribute(T attribute)
   {
       this.attribute = attribute; // and listeners
   } 
}
